Summary: LinuxCOE SystemDesigner web interface -- Fedora Overlay
Name: linuxcoe-sd-data-fedora
Version: 4.1
Release: 1.suse10.1
License: GPL
URL: http://linuxcoe.sourceforge.net/
Group: System/Configuration/Packaging
# Copyright: 2000-2007 Hewlett-Packard Development Company, L.P
# Original Packager: Louis Bouchard <louis.bouchard@hp.com>
#
# Source Section
#
Source: ftp://ftp.mondorescue.org/src/%{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -u -n)
BuildArch: noarch
Provides: linuxcoe-sd-overlay
Requires: linuxcoe-sd-base, 

%description
LinuxCOE SystemDesigner is a unifying web application that allows
a user to repeatably install, configure, and maintain different
Linux system installations. It's CGI-based interface provides means
to generate boot images for network or local media based installations,
save profiles that store custom installation preferences for later re-use,
and retrofit already deployed systems by overlaying other value-add components.

This package adds Fedora support as an overlay to LinuxCOE SystemDesigner
%prep
%setup -q

%build
# For the moment done here. Would be better to give it to pb. Needs discussion
export httpdcfgdir=/etc/httpd/conf.d
export docrootdir=/var/www/html
export httpd_user=apache
export httpd_group=apache
export webalias=SystemDesigner

# macro configure doesn't work. (Do not put a percent before the word)
./configure --prefix=/var/www/linuxcoe-sd
make

%install
%{__rm} -rf %{buildroot}
make DESTDIR="$RPM_BUILD_ROOT" install

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
/var/www/linuxcoe-sd/data/*
/var/www/linuxcoe-sd/depots/*
/var/www/linuxcoe-sd/osvend.d/*
/var/www/linuxcoe-sd/html/docs/*
/var/www/linuxcoe-sd/html/bundles/*

%changelog
* Wed Nov 21 2007 Louis Bouchard and Bruno Cornec <bruno@project-builder.org> 4.1-1.suse10.1
- Updated to 4.1

